# Serialized Form

## Package jakarta.servlet

### Class jakarta.servlet.GenericFilter extends java.lang.Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### filterConfig

    FilterConfig filterConfig

The filter configuration.

### Class jakarta.servlet.GenericServlet extends java.lang.Object implements Serializable

serialVersionUID:
  1L

### Class jakarta.servlet.ServletContextAttributeEvent extends ServletContextEvent implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### name

    java.lang.String name

Attribute name.

#### value

    java.lang.Object value

Attribute value.

### Class jakarta.servlet.ServletContextEvent extends java.util.EventObject implements Serializable

serialVersionUID:
  1L

### Class jakarta.servlet.ServletException extends java.lang.Exception implements Serializable

serialVersionUID:
  1L

### Class jakarta.servlet.ServletRequestAttributeEvent extends ServletRequestEvent implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### name

    java.lang.String name

Attribute name.

#### value

    java.lang.Object value

Attribute value.

### Class jakarta.servlet.ServletRequestEvent extends java.util.EventObject implements Serializable

serialVersionUID:
  1L

### Class jakarta.servlet.UnavailableException extends ServletException implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### permanent

    boolean permanent

Is the issue permanent - i.e. is administrator action required?

#### seconds

    int seconds

The estimate of how long the Servlet will be unavailable.

## Package jakarta.servlet.http

### Class jakarta.servlet.http.Cookie extends java.lang.Object implements Serializable

serialVersionUID:
  2L

### Serialized Fields

#### attributes

    java.util.Map<java.lang.String,​java.lang.String> attributes

Attributes encoded in the header's cookie fields.

#### name

    java.lang.String name

Cookie name.

#### value

    java.lang.String value

Cookie value.

### Class jakarta.servlet.http.HttpFilter extends GenericFilter implements Serializable

serialVersionUID:
  1L

### Class jakarta.servlet.http.HttpServlet extends GenericServlet implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### cachedAllowHeaderValue

    java.lang.String cachedAllowHeaderValue

Cached value of the HTTP `Allow` header for this servlet.

#### cachedUseLegacyDoHead

    boolean cachedUseLegacyDoHead

Cached value read from `HttpServlet.LEGACY_DO_HEAD` system property.

### Class jakarta.servlet.http.HttpSessionBindingEvent extends HttpSessionEvent implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### name

    java.lang.String name

The name to which the object is being bound or unbound.

#### value

    java.lang.Object value

The object is being bound or unbound.

### Class jakarta.servlet.http.HttpSessionEvent extends java.util.EventObject implements Serializable

serialVersionUID:
  1L